﻿#pragma strict

public var escenario : String; 
public var camara : Camara;
public var moneda : AudioClip;
private var iniciar : boolean = false;
private var tiempo : float = 0.0f;

function Awake()
{
	camara = FindObjectOfType(Camara);
}

function OnMouseDown()
{
	if(moneda)
	{
		audio.PlayOneShot(moneda);
	}
	iniciar = true;
}

function Update()
{
	if(iniciar)
	{
		tiempo += Time.deltaTime;
	}
	if(tiempo>2.3)
	{
		camara.menu = false;
	}
	
}


function OnMouseOver()
{
	if(transform.localScale.x < 0.30)
	{
		transform.localScale.x += 0.03;
   		transform.localScale.z += 0.03;
   	}
}

function OnMouseExit()
{
	transform.localScale.x = 0.2;
    transform.localScale.z = 0.1;
}